<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE domain PUBLIC "-//Sun Microsystems Inc.//DTD Application Server 8.0 Domain//EN" "http://www.sun.com/software/appserver/dtds/sun-domain_1_2.dtd">
<!--
   Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
   Use is subject to license terms.
-->
<!-- Generated from default-domain.xml.template -->
<!-- Avoid manual edits of this file. Run "asadmin verify-domain-xml" otherwise.-->
<domain application-root="${com.sun.aas.instanceRoot}/applications" log-root="${com.sun.aas.instanceRoot}/logs">
  <applications>
    <j2ee-application availability-enabled="false" directory-deployed="false" enabled="true" java-web-start-enabled="true" location="${com.sun.aas.instanceRoot}/applications/j2ee-apps/MEjbApp" name="MEjbApp" object-type="system-all"/>
    <j2ee-application availability-enabled="false" directory-deployed="false" enabled="true" java-web-start-enabled="true" location="${com.sun.aas.instanceRoot}/applications/j2ee-apps/__ejb_container_timer_app" name="__ejb_container_timer_app" object-type="system-all"/>
    <j2ee-application availability-enabled="false" directory-deployed="false" enabled="true" java-web-start-enabled="true" location="${com.sun.aas.instanceRoot}/applications/j2ee-apps/__JWSappclients" name="__JWSappclients" object-type="system-all"/>
    <j2ee-application availability-enabled="false" directory-deployed="false" enabled="true" java-web-start-enabled="true" location="${com.sun.aas.instanceRoot}/applications/j2ee-apps/JEE5Test" name="JEE5Test" object-type="user"/>
    <ejb-module availability-enabled="false" directory-deployed="false" enabled="true" location="${com.sun.aas.instanceRoot}/applications/j2ee-modules/EJBModule1" name="EJBModule1" object-type="user"/>
    <web-module availability-enabled="false" context-root="/web1" directory-deployed="true" enabled="true" location="${com.sun.aas.installRoot}/lib/install/applications/adminapp/adminapp_war" name="adminapp" object-type="system-admin">
      <!-- System Web Module - DO NOT DELETE! -->
    </web-module>
    <web-module availability-enabled="false" context-root="/asadmin" directory-deployed="true" enabled="true" location="${com.sun.aas.installRoot}/lib/install/applications/admingui/adminGUI_war" name="admingui" object-type="system-admin">
      <!-- System Web Module - DO NOT DELETE! -->
    </web-module>
  </applications>
  <resources>
    <jdbc-resource enabled="true" jndi-name="jdbc/sample" object-type="user" pool-name="SamplePool"/>
    <jdbc-resource enabled="true" jndi-name="jdbc/__TimerPool" object-type="system-admin" pool-name="__TimerPool"/>
    <jdbc-resource enabled="true" jndi-name="jdbc/__CallFlowPool" object-type="system-all" pool-name="__CallFlowPool"/>
    <jdbc-resource enabled="true" jndi-name="jdbc/__default" object-type="user" pool-name="DerbyPool"/>
    <jdbc-resource enabled="true" jndi-name="jdbc/WebEug" object-type="user" pool-name="MySQLWebEugPool">
      <description>Pool do WebEug</description>
    </jdbc-resource>
    <jdbc-resource enabled="true" jndi-name="jdbc/Teste__pm" object-type="user" pool-name="MySQLWebEugPool">
      <description>teste</description>
    </jdbc-resource>
    <jdbc-resource enabled="true" jndi-name="TesteJDBCWebEug" object-type="user" pool-name="mysqlPool"/>
    <jdbc-connection-pool allow-non-component-callers="false" connection-validation-method="auto-commit" datasource-classname="org.apache.derby.jdbc.EmbeddedXADataSource" fail-all-connections="false" idle-timeout-in-seconds="300" is-connection-validation-required="false" is-isolation-level-guaranteed="true" max-pool-size="32" max-wait-time-in-millis="60000" name="__CallFlowPool" non-transactional-connections="false" pool-resize-quantity="2" res-type="javax.sql.XADataSource" steady-pool-size="8">
      <property name="databaseName" value="${com.sun.aas.instanceRoot}/lib/databases/sun-callflow"/>
      <property name="connectionAttributes" value=";create=true"/>
    </jdbc-connection-pool>
    <jdbc-connection-pool allow-non-component-callers="false" connection-validation-method="auto-commit" datasource-classname="org.apache.derby.jdbc.EmbeddedXADataSource" fail-all-connections="false" idle-timeout-in-seconds="300" is-connection-validation-required="false" is-isolation-level-guaranteed="true" max-pool-size="32" max-wait-time-in-millis="60000" name="__TimerPool" non-transactional-connections="false" pool-resize-quantity="2" res-type="javax.sql.XADataSource" steady-pool-size="8">
      <property name="databaseName" value="${com.sun.aas.instanceRoot}/lib/databases/ejbtimer"/>
    </jdbc-connection-pool>
    <jdbc-connection-pool allow-non-component-callers="false" connection-validation-method="auto-commit" datasource-classname="org.apache.derby.jdbc.ClientDataSource" fail-all-connections="false" idle-timeout-in-seconds="300" is-connection-validation-required="false" is-isolation-level-guaranteed="false" max-pool-size="32" max-wait-time-in-millis="60000" name="DerbyPool" non-transactional-connections="false" pool-resize-quantity="2" res-type="javax.sql.DataSource" steady-pool-size="8">
      <property name="PortNumber" value="1527"/>
      <property name="Password" value="APP"/>
      <property name="User" value="APP"/>
      <property name="serverName" value="localhost"/>
      <property name="DatabaseName" value="sun-appserv-samples"/>
      <property name="connectionAttributes" value=";create=true"/>
    </jdbc-connection-pool>
    <jdbc-connection-pool allow-non-component-callers="false" connection-validation-method="auto-commit" datasource-classname="org.apache.derby.jdbc.ClientDataSource" fail-all-connections="false" idle-timeout-in-seconds="300" is-connection-validation-required="false" is-isolation-level-guaranteed="false" max-pool-size="32" max-wait-time-in-millis="60000" name="SamplePool" non-transactional-connections="false" pool-resize-quantity="2" res-type="javax.sql.DataSource" steady-pool-size="8">
      <property name="Password" value="app"/>
      <property name="PortNumber" value="1527"/>
      <property name="DatabaseName" value="sample"/>
      <property name="serverName" value="localhost"/>
      <property name="User" value="app"/>
    </jdbc-connection-pool>
    <jdbc-connection-pool allow-non-component-callers="false" connection-validation-method="auto-commit" datasource-classname="com.mysql.jdbc.jdbc2.optional.MysqlConnectionPoolDataSource" fail-all-connections="false" idle-timeout-in-seconds="300" is-connection-validation-required="false" is-isolation-level-guaranteed="true" max-pool-size="32" max-wait-time-in-millis="60000" name="mysqlPool" non-transactional-connections="false" pool-resize-quantity="2" res-type="javax.sql.DataSource" steady-pool-size="8">
      <property name="Password" value="bahseilahmeo"/>
      <property name="URL" value="jdbc:mysql://scribthree/webeug"/>
      <property name="User" value="dyego"/>
    </jdbc-connection-pool>
    <jdbc-connection-pool allow-non-component-callers="false" connection-validation-method="auto-commit" datasource-classname="com.mysql.jdbc.jdbc2.optional.MysqlConnectionPoolDataSource" fail-all-connections="false" idle-timeout-in-seconds="300" is-connection-validation-required="true" is-isolation-level-guaranteed="false" max-pool-size="32" max-wait-time-in-millis="60000" name="MySQLCenibPool" non-transactional-connections="false" pool-resize-quantity="2" res-type="javax.sql.DataSource" steady-pool-size="8" transaction-isolation-level="read-committed">
      <description>MySQL Cenib Driver</description>
      <property name="password" value="bahseilahmeo"/>
      <property name="user" value="dyego"/>
      <property name="databaseName" value="cenib"/>
      <property name="serverName" value="e4.cartorios.com.br"/>
      <property name="port" value="3306"/>
    </jdbc-connection-pool>
    <jdbc-connection-pool allow-non-component-callers="false" connection-validation-method="auto-commit" datasource-classname="com.mysql.jdbc.jdbc2.optional.MysqlConnectionPoolDataSource" fail-all-connections="false" idle-timeout-in-seconds="300" is-connection-validation-required="true" is-isolation-level-guaranteed="false" max-pool-size="32" max-wait-time-in-millis="60000" name="MySQLWebEugPool" non-transactional-connections="false" pool-resize-quantity="2" res-type="javax.sql.DataSource" steady-pool-size="8" transaction-isolation-level="read-committed">
      <description>MySQl WebEug Connection</description>
      <property name="MaxReconnects" value="3"/>
      <property name="UseHostsInPrivileges" value="true"/>
      <property name="UseCompression" value="false"/>
      <property name="ZeroDateTimeBehavior" value="exception"/>
      <property name="LoggerClassName" value="com.mysql.jdbc.log.StandardLogger"/>
      <property name="IgnoreNonTxTables" value="false"/>
      <property name="UseGmtMillisForDatetimes" value="false"/>
      <property name="AllowMultiQueries" value="false"/>
      <property name="ConnectTimeout" value="0"/>
      <property name="RelaxAutoCommit" value="false"/>
      <property name="CallableStatementCacheSize" value="100"/>
      <property name="AllowLoadLocalInfile" value="true"/>
      <property name="UseFastIntParsing" value="true"/>
      <property name="CacheCallableStatements" value="false"/>
      <property name="PacketDebugBufferSize" value="20"/>
      <property name="UseUltraDevWorkAround" value="false"/>
      <property name="CachePreparedStatements" value="false"/>
      <property name="Pedantic" value="false"/>
      <property name="AutoDeserialize" value="false"/>
      <property name="TinyInt1isBit" value="true"/>
      <property name="Url" value="jdbc:mysql://e4.cartorios.com.br:3306/webeug"/>
      <property name="ReconnectAtTxEnd" value="false"/>
      <property name="FailOverReadOnly" value="true"/>
      <property name="CacheServerConfiguration" value="false"/>
      <property name="InitialTimeout" value="2"/>
      <property name="MaxQuerySizeToLog" value="2048"/>
      <property name="GatherPerformanceMetrics" value="false"/>
      <property name="AutoReconnectForPools" value="false"/>
      <property name="Paranoid" value="false"/>
      <property name="MaintainTimeStats" value="true"/>
      <property name="Logger" value="com.mysql.jdbc.log.StandardLogger"/>
      <property name="ServerName" value="e4.cartorios.com.br"/>
      <property name="QueriesBeforeRetryMaster" value="50"/>
      <property name="RollbackOnPooledClose" value="true"/>
      <property name="LoginTimeout" value="0"/>
      <property name="EmulateLocators" value="false"/>
      <property name="ContinueBatchOnError" value="true"/>
      <property name="BlobSendChunkSize" value="1048576"/>
      <property name="CreateDatabaseIfNotExist" value="false"/>
      <property name="UseOldUTF8Behavior" value="false"/>
      <property name="UseTimezone" value="false"/>
      <property name="StrictUpdates" value="true"/>
      <property name="UseSqlStateCodes" value="true"/>
      <property name="UseStreamLengthsInPrepStmts" value="true"/>
      <property name="EnablePacketDebug" value="false"/>
      <property name="NoDatetimeStringSync" value="false"/>
      <property name="EmulateUnsupportedPstmts" value="true"/>
      <property name="UseLocalSessionState" value="false"/>
      <property name="MaxRows" value="-1"/>
      <property name="UseUnicode" value="true"/>
      <property name="ProfileSql" value="false"/>
      <property name="SocketTimeout" value="0"/>
      <property name="Port" value="3306"/>
      <property name="DatabaseName" value="webeug"/>
      <property name="AlwaysSendSetIsolation" value="true"/>
      <property name="UseUsageAdvisor" value="false"/>
      <property name="MetadataCacheSize" value="50"/>
      <property name="ReportMetricsIntervalMillis" value="30000"/>
      <property name="RoundRobinLoadBalance" value="false"/>
      <property name="UseReadAheadInput" value="true"/>
      <property name="URL" value="jdbc:mysql://e4.cartorios.com.br:3306/webeug"/>
      <property name="User" value="dyego"/>
      <property name="UseServerPreparedStmts" value="true"/>
      <property name="IsInteractiveClient" value="false"/>
      <property name="SecondsBeforeRetryMaster" value="30"/>
      <property name="DontTrackOpenResources" value="false"/>
      <property name="ElideSetAutoCommits" value="false"/>
      <property name="PreparedStatementCacheSize" value="25"/>
      <property name="RequireSSL" value="false"/>
      <property name="TraceProtocol" value="false"/>
      <property name="PreparedStatementCacheSqlLimit" value="256"/>
      <property name="RunningCTS13" value="false"/>
      <property name="CacheResultSetMetadata" value="false"/>
      <property name="UseNewIo" value="false"/>
      <property name="UseSSL" value="false"/>
      <property name="ExplainSlowQueries" value="false"/>
      <property name="DumpQueriesOnException" value="false"/>
      <property name="NullNamePatternMatchesAll" value="true"/>
      <property name="ClobberStreamingResults" value="false"/>
      <property name="AutoGenerateTestcaseScript" value="false"/>
      <property name="EmptyStringsConvertToZero" value="true"/>
      <property name="StrictFloatingPoint" value="false"/>
      <property name="PortNumber" value="3306"/>
      <property name="UseOnlyServerErrorMessages" value="true"/>
      <property name="TransformedBitIsBoolean" value="false"/>
      <property name="AllowUrlInLocalInfile" value="false"/>
      <property name="ProfileSQL" value="false"/>
      <property name="YearIsDateType" value="true"/>
      <property name="SlowQueryThresholdMillis" value="2000"/>
      <property name="Password" value="bahseilahmeo"/>
      <property name="JdbcCompliantTruncation" value="true"/>
      <property name="DynamicCalendars" value="false"/>
      <property name="HoldResultsOpenOverStatementClose" value="false"/>
      <property name="LogSlowQueries" value="false"/>
      <property name="SocketFactoryClassName" value="com.mysql.jdbc.StandardSocketFactory"/>
      <property name="CapitalizeTypeNames" value="false"/>
      <property name="NullCatalogMeansCurrent" value="true"/>
      <property name="UseUnbufferedInput" value="true"/>
    </jdbc-connection-pool>
  </resources>
  <configs>
    <config dynamic-reconfiguration-enabled="true" name="server-config">
      <http-service>
        <access-log format="%client.name% %auth-user-name% %datetime% %request% %status% %response.length%" rotation-enabled="true" rotation-interval-in-minutes="15" rotation-policy="time" rotation-suffix="yyyy-MM-dd"/>
        <http-listener acceptor-threads="1" address="0.0.0.0" blocking-enabled="false" default-virtual-server="server" enabled="true" family="inet" id="http-listener-1" port="8080" security-enabled="false" server-name="" xpowered-by="true">
    </http-listener>
        <http-listener acceptor-threads="1" address="0.0.0.0" blocking-enabled="false" default-virtual-server="server" enabled="true" family="inet" id="http-listener-2" port="8181" security-enabled="true" server-name="" xpowered-by="true">
    </http-listener>
        <http-listener acceptor-threads="1" address="0.0.0.0" blocking-enabled="false" default-virtual-server="__asadmin" enabled="true" family="inet" id="admin-listener" port="4848" security-enabled="false" server-name="" xpowered-by="true">
    </http-listener>
        <virtual-server hosts="${com.sun.aas.hostName}" http-listeners="http-listener-1,http-listener-2" id="server" log-file="${com.sun.aas.instanceRoot}/logs/server.log" state="on">
          <property name="docroot" value="${com.sun.aas.instanceRoot}/docroot"/>
          <property name="accesslog" value="${com.sun.aas.instanceRoot}/logs/access"/>
        </virtual-server>
        <virtual-server default-web-module="admingui" hosts="${com.sun.aas.hostName}" http-listeners="admin-listener" id="__asadmin" log-file="${com.sun.aas.instanceRoot}/logs/server.log" state="on">
          <property name="docroot" value="${com.sun.aas.instanceRoot}/docroot"/>
          <property name="accesslog" value="${com.sun.aas.instanceRoot}/logs/access"/>
        </virtual-server>
        <request-processing header-buffer-length-in-bytes="4096" initial-thread-count="2" request-timeout-in-seconds="30" thread-count="5" thread-increment="1"/>
        <keep-alive max-connections="250" thread-count="1" timeout-in-seconds="30"/>
        <connection-pool max-pending-count="4096" queue-size-in-bytes="4096" receive-buffer-size-in-bytes="4096" send-buffer-size-in-bytes="8192"/>
        <http-protocol default-response-type="text/plain; charset=iso-8859-1" dns-lookup-enabled="false" forced-response-type="text/plain; charset=iso-8859-1" ssl-enabled="true" version="HTTP/1.1"/>
        <http-file-cache file-caching-enabled="true" file-transmission-enabled="false" globally-enabled="true" hash-init-size="0" max-age-in-seconds="30" max-files-count="1024" medium-file-size-limit-in-bytes="537600" medium-file-space-in-bytes="10485760" small-file-size-limit-in-bytes="2048" small-file-space-in-bytes="1048576"/>
      </http-service>
      <iiop-service client-authentication-required="false">
        <orb max-connections="1024" message-fragment-size="1024" use-thread-pool-ids="thread-pool-1"/>
        <iiop-listener address="0.0.0.0" enabled="true" id="orb-listener-1" port="3700" security-enabled="false"/>
        <iiop-listener address="0.0.0.0" enabled="true" id="SSL" port="2578" security-enabled="true">
          <ssl cert-nickname="s1as" client-auth-enabled="false" ssl2-enabled="false" ssl3-enabled="true" tls-enabled="true" tls-rollback-enabled="true"/>
        </iiop-listener>
        <iiop-listener address="0.0.0.0" enabled="true" id="SSL_MUTUALAUTH" port="2579" security-enabled="true">
          <ssl cert-nickname="s1as" client-auth-enabled="true" ssl2-enabled="false" ssl3-enabled="true" tls-enabled="true" tls-rollback-enabled="true"/>
        </iiop-listener>
      </iiop-service>
      <admin-service system-jmx-connector-name="system" type="das-and-server">
        <!-- The JSR 160 "system-jmx-connector" -->
        <jmx-connector accept-all="false" address="0.0.0.0" auth-realm-name="admin-realm" enabled="true" name="system" port="2580" protocol="rmi_jrmp" security-enabled="false"/>
        <!-- The JSR 160 "system-jmx-connector" -->
        <das-config admin-session-timeout-in-minutes="60" autodeploy-dir="${com.sun.aas.instanceRoot}/autodeploy" autodeploy-enabled="true" autodeploy-jsp-precompilation-enabled="true" autodeploy-polling-interval-in-seconds="2" autodeploy-verifier-enabled="false" deploy-xml-validation="full" dynamic-reload-enabled="true" dynamic-reload-poll-interval-in-seconds="2"/>
      </admin-service>
      <web-container/>
      <ejb-container cache-idle-timeout-in-seconds="600" cache-resize-quantity="32" commit-option="B" max-cache-size="512" max-pool-size="32" pool-idle-timeout-in-seconds="600" pool-resize-quantity="8" removal-timeout-in-seconds="5400" session-store="${com.sun.aas.instanceRoot}/session-store" steady-pool-size="0" victim-selection-policy="nru">
        <ejb-timer-service max-redeliveries="1" minimum-delivery-interval-in-millis="7000" redelivery-interval-internal-in-millis="5000"/>
      </ejb-container>
      <mdb-container idle-timeout-in-seconds="600" max-pool-size="32" pool-resize-quantity="8" steady-pool-size="0"/>
      <jms-service addresslist-behavior="random" addresslist-iterations="3" default-jms-host="default_JMS_host" init-timeout-in-seconds="60" reconnect-attempts="3" reconnect-enabled="true" reconnect-interval-in-seconds="5" type="EMBEDDED">
        <jms-host admin-password="admin" admin-user-name="admin" host="dyego.lab.escriba.com.br" name="default_JMS_host" port="2576"/>
      </jms-service>
      <log-service alarms="false" file="${com.sun.aas.instanceRoot}/logs/server.log" log-rotation-limit-in-bytes="2000000" log-rotation-timelimit-in-minutes="0" log-to-console="false" retain-error-statistics-for-hours="5" use-system-logging="false">
        <module-log-levels admin="INFO" classloader="INFO" cmp="INFO" cmp-container="INFO" configuration="INFO" connector="INFO" corba="INFO" deployment="INFO" ejb-container="INFO" group-management-service="INFO" javamail="INFO" jaxr="INFO" jaxrpc="INFO" jdo="INFO" jms="INFO" jta="INFO" jts="INFO" management-event="INFO" mdb-container="INFO" naming="INFO" node-agent="INFO" resource-adapter="INFO" root="INFO" saaj="INFO" security="FINE" self-management="INFO" server="INFO" synchronization="INFO" util="INFO" verifier="INFO" web-container="INFO">
          <property name="oracle.toplink.essentials" value="INFO"/>
        </module-log-levels>
      </log-service>
      <security-service activate-default-principal-to-role-mapping="false" anonymous-role="ANYONE" audit-enabled="false" audit-modules="default" default-realm="file" jacc="default">
        <!-- All administrative users use this realm by default. -->
        <auth-realm classname="com.sun.enterprise.security.auth.realm.file.FileRealm" name="admin-realm">
          <property name="file" value="${com.sun.aas.instanceRoot}/config/admin-keyfile"/>
          <property name="jaas-context" value="fileRealm"/>
        </auth-realm>
        <!-- All administrative users use this realm by default. -->
        <auth-realm classname="com.sun.enterprise.security.auth.realm.file.FileRealm" name="file">
          <property name="file" value="${com.sun.aas.instanceRoot}/config/keyfile"/>
          <property name="jaas-context" value="fileRealm"/>
        </auth-realm>
        <auth-realm classname="com.sun.enterprise.security.auth.realm.certificate.CertificateRealm" name="certificate">
    </auth-realm>
        <auth-realm classname="com.sun.enterprise.security.auth.realm.db.JDBCRealm" name="dbAuth">
          <property name="datasource" value="jdbc/Teste__pm"/>
          <property name="find-user-query" value="select Us_Login from usuario where us_login = ? and us_senha = MD5(?)"/>
          <property name="find-groups-query" value="select us_role from usuario_roles where us_login = ?"/>
          <property name="jaas-context" value="dbAuth"/>
          <property name="user" value="dyego"/>
          <property name="password" value="bahseilahmeo"/>
        </auth-realm>
        <jacc-provider name="default" policy-configuration-factory-provider="com.sun.enterprise.security.provider.PolicyConfigurationFactoryImpl" policy-provider="com.sun.enterprise.security.provider.PolicyWrapper">
          <property name="repository" value="${com.sun.aas.instanceRoot}/generated/policy"/>
        </jacc-provider>
        <audit-module classname="com.sun.enterprise.security.Audit" name="default">
          <property name="auditOn" value="false"/>
        </audit-module>
        <message-security-config auth-layer="SOAP">
          <!-- turned off by default -->
          <provider-config class-name="com.sun.xml.wss.provider.ClientSecurityAuthModule" provider-id="XWS_ClientProvider" provider-type="client">
            <request-policy auth-source="content"/>
            <response-policy auth-source="content"/>
            <property name="encryption.key.alias" value="s1as"/>
            <property name="signature.key.alias" value="s1as"/>
            <property name="dynamic.username.password" value="false"/>
            <property name="debug" value="false"/>
          </provider-config>
          <provider-config class-name="com.sun.xml.wss.provider.ClientSecurityAuthModule" provider-id="ClientProvider" provider-type="client">
            <request-policy auth-source="content"/>
            <response-policy auth-source="content"/>
            <property name="encryption.key.alias" value="s1as"/>
            <property name="signature.key.alias" value="s1as"/>
            <property name="dynamic.username.password" value="false"/>
            <property name="debug" value="false"/>
            <property name="security.config" value="${com.sun.aas.instanceRoot}/config/wss-server-config-1.0.xml"/>
          </provider-config>
          <provider-config class-name="com.sun.xml.wss.provider.ServerSecurityAuthModule" provider-id="XWS_ServerProvider" provider-type="server">
            <request-policy auth-source="content"/>
            <response-policy auth-source="content"/>
            <property name="encryption.key.alias" value="s1as"/>
            <property name="signature.key.alias" value="s1as"/>
            <property name="debug" value="false"/>
          </provider-config>
          <provider-config class-name="com.sun.xml.wss.provider.ServerSecurityAuthModule" provider-id="ServerProvider" provider-type="server">
            <request-policy auth-source="content"/>
            <response-policy auth-source="content"/>
            <property name="encryption.key.alias" value="s1as"/>
            <property name="signature.key.alias" value="s1as"/>
            <property name="debug" value="false"/>
            <property name="security.config" value="${com.sun.aas.instanceRoot}/config/wss-server-config-1.0.xml"/>
          </provider-config>
        </message-security-config>
      </security-service>
      <transaction-service automatic-recovery="false" heuristic-decision="rollback" keypoint-interval="2048" retry-timeout-in-seconds="600" timeout-in-seconds="0" tx-log-dir="${com.sun.aas.instanceRoot}/logs"/>
      <monitoring-service>
        <module-monitoring-levels connector-connection-pool="OFF" connector-service="OFF" ejb-container="LOW" http-service="OFF" jdbc-connection-pool="OFF" jms-service="OFF" jvm="OFF" orb="LOW" thread-pool="OFF" transaction-service="OFF" web-container="LOW"/>
      </monitoring-service>
      <diagnostic-service capture-app-dd="true" capture-hadb-info="true" capture-install-log="true" capture-system-info="true" compute-checksum="true" max-log-entries="500" min-log-level="INFO" verify-config="true"/>
      <java-config classpath-suffix="" debug-enabled="false" debug-options="-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=9009" env-classpath-ignored="true" java-home="${com.sun.aas.javaRoot}" javac-options="-g" rmic-options="-iiop -poa -alwaysgenerate -keepgenerated -g" system-classpath="${com.sun.aas.installRoot}/lib/appserv-launch.jar">
        <!-- various required jvm-options -->
        <jvm-options>-client</jvm-options>
        <jvm-options>-Djava.endorsed.dirs=${com.sun.aas.installRoot}/lib/endorsed</jvm-options>
        <jvm-options>-Djavax.xml.parsers.DocumentBuilderFactory=com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl</jvm-options>
        <jvm-options>-Djava.security.policy=${com.sun.aas.instanceRoot}/config/server.policy</jvm-options>
        <jvm-options>-Djava.security.auth.login.config=${com.sun.aas.instanceRoot}/config/login.conf</jvm-options>
        <jvm-options>-Dsun.rmi.dgc.server.gcInterval=3600000</jvm-options>
        <jvm-options>-Dsun.rmi.dgc.client.gcInterval=3600000</jvm-options>
        <jvm-options>-Xmx512m</jvm-options>
        <jvm-options>-Djavax.net.ssl.keyStore=${com.sun.aas.instanceRoot}/config/keystore.jks</jvm-options>
        <jvm-options>-Djavax.net.ssl.trustStore=${com.sun.aas.instanceRoot}/config/cacerts.jks</jvm-options>
        <jvm-options>-Djava.ext.dirs=${com.sun.aas.javaRoot}/jre/lib/ext${path.separator}${com.sun.aas.instanceRoot}/lib/ext${path.separator}${com.sun.aas.derbyRoot}/lib</jvm-options>
        <jvm-options>-Djdbc.drivers=org.apache.derby.jdbc.ClientDriver</jvm-options>
        <jvm-options>-Djavax.management.builder.initial=com.sun.enterprise.admin.server.core.jmx.AppServerMBeanServerBuilder</jvm-options>
        <jvm-options>-Dcom.sun.enterprise.config.config_environment_factory_class=com.sun.enterprise.config.serverbeans.AppserverConfigEnvironmentFactory</jvm-options>
        <jvm-options>-Dcom.sun.enterprise.taglibs=appserv-jstl.jar,jsf-impl.jar</jvm-options>
        <jvm-options>-Dcom.sun.enterprise.taglisteners=jsf-impl.jar</jvm-options>
        <jvm-options>-XX:NewRatio=2</jvm-options>
      </java-config>
      <thread-pools>
        <thread-pool idle-thread-timeout-in-seconds="120" max-thread-pool-size="200" min-thread-pool-size="0" num-work-queues="1" thread-pool-id="thread-pool-1"/>
      </thread-pools>
      <management-rules enabled="true">
  </management-rules>
    </config>
    <!-- config model with name "server-config" ends -->
  </configs>
  <servers>
    <server config-ref="server-config" lb-weight="100" name="server">
      <application-ref disable-timeout-in-minutes="30" enabled="true" lb-enabled="false" ref="adminapp" virtual-servers="__asadmin"/>
      <application-ref disable-timeout-in-minutes="30" enabled="true" lb-enabled="false" ref="admingui" virtual-servers="__asadmin"/>
      <application-ref disable-timeout-in-minutes="30" enabled="true" lb-enabled="false" ref="MEjbApp" virtual-servers="server"/>
      <application-ref disable-timeout-in-minutes="30" enabled="true" lb-enabled="false" ref="__ejb_container_timer_app" virtual-servers="server"/>
      <application-ref disable-timeout-in-minutes="30" enabled="true" lb-enabled="false" ref="__JWSappclients" virtual-servers="server"/>
      <application-ref disable-timeout-in-minutes="30" enabled="true" lb-enabled="false" ref="JEE5Test"/>
      <application-ref disable-timeout-in-minutes="30" enabled="true" lb-enabled="false" ref="EJBModule1"/>
      <resource-ref enabled="true" ref="jdbc/__TimerPool"/>
      <resource-ref enabled="true" ref="jdbc/__CallFlowPool"/>
      <resource-ref enabled="true" ref="jdbc/__default"/>
      <resource-ref enabled="true" ref="jdbc/sample"/>
      <resource-ref enabled="true" ref="jdbc/WebEug"/>
      <resource-ref enabled="true" ref="jdbc/Teste__pm"/>
      <resource-ref enabled="true" ref="TesteJDBCWebEug"/>
    </server>
  </servers>
  <property name="administrative.domain.name" value="domain1"/>
</domain>
